#include "vbc.h"

static const gchar *const authors[] = {
   "Principal author: Gary Kline",
   "In addition to my own work, several other programmers, all",
   "more expert in gtk than I, have helped with VBC.  Among them:",
   "Another.anon.coward","Micha Carrick", "Paul Childs", "John Cupitt,",
   "Steve", "Teo Emmanouilidis", "Errol", "David Necasr", "Luke Girvin",
   "Tadej Borovsak", "Michael Torrie", "James Steward",
   NULL
};

static const gchar license[] =
   "This program is free software; you can redistribute it and/or modify "
   "it under the terms of the GNU General Public License as published by "
   "the Free Software Foundation; either version 2 of the License, or "
   "(at your option) any later version.\n"
   "\n"
   "This program is distributed in the hope that it will be useful, "
   "but WITHOUT ANY WARRANTY; without even the implied warranty of "
   "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the "
   "GNU General Public License for more details.\n"
   "\n"
   "You should have received a copy of the GNU General Public License "
   "along with this program; if not, write to:"
   "\n"
   "\n"
   "The Free Software "
   "Foundation, Inc., "
   "\n" "59 Temple Place - Suite 330," "\n" "Boston, MA 02111-1307, USA.";

void
cb_on_about (GtkAction *action, GtkWidget *window)
{
   gtk_show_about_dialog (GTK_WINDOW (window),
			  "program-name", "VBC",
			  "version", VERSION, 
			  "copyright", COPYRIGHT,
			  "comments",
			  "This program assists those with a speech impairment to speak",
			  "authors", authors, "license", license,
			  "wrap-license", TRUE, "website-label",
			  "More help and examples at VBC's website",
			  "website", "http://www.thought.org/vbc", NULL);
}

