#include <sys/types.h>
#include <sys/file.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <unistd.h>

#define APLAY "/usr/bin/aplay"
#define CONFIG ".Config"

#ifdef UBUNTU
#define LANG " -v en/en-us"
#else
#define LANG " "
#endif

#ifdef FIXUP
#endif

#define OUT "--stdout"
#define DEFAULT "talk"
#define DOT '.'
#define EDITCMD "/usr/bin/gvim --nofork -c startinsert";
//-- {the --nofork is critical} #define EDITCMD "/usr/bin/gvim  -c startinsert";
#define ESPEAK "/usr/bin/espeak"
#define DEFAULT "talk"
#define GVIM ".briefGvim.txt"
#define INSTRUCT ".Instructions.txt"
#define MAXCHAT 32768		// might be part of a lecture
#define SPATH "/.VBC/"
#define VOICE  "/usr/bin/espeak -f"
#define VBCPATH "/.VBC/"	// Added back, 18jan12
#define UPATH "/usr/share/VBC/info"  ###  added 08mar13

#define PITCH 17
#define SPEED 175
#define VOLUME 100
#define DELAY  3.0

enum 
{ 
  MALE, 
  FEMALE 
};

extern int valueGender;
extern double valueDelay;
extern gint valueVolume;
extern gint valueSpeed;
extern gint valuePitch;

extern char *vhome;

#ifdef WWW
static int counter = 1;
GtkWidget *label;               // *Dec_button;
static char *suffix = ".txt";
static char *prefix = DEFAULT;
char accessbuf[64],     /*  check for existence anf TXT */
  ifbuf[1024],          /* internal filename buffer--CURRENT--for espeak -f */
  titlebuffer[1024],    /* name of file  */
  voice[128], editcmd[64], vhome[32], vconfig[32], vinstruct[32], vgvim[32];;

#endif



extern int visitX ;




void run_button_click_helper1 (GPid pid, gint status, gpointer userdata);
void run_button_click_helper2 (GPid pid, gint status, gpointer userdata);

/* Options */
void Xoptions (GtkAction *action, GtkWidget *parent_window);

/* Instructions */
void show_gvim_cb (GtkAction *action, GtkWidget *parent);
void show_instructions_cb (GtkAction *action, GtkWidget *parent);

/* CHANGE, UPDATE   "cb_on_about()" strings easily right here: */
void cb_on_about (GtkAction *action, GtkWidget *window);
#define COPYRIGHT "Gary Kline\nCopyright (C) 2011, 2012, 2013"
#define VERSION  "\nVersion 0.29\n"

